Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util.helper
Class UtilityHelper

    java.lang.Object
      |
      +--com.beasys.commerce.axiom.util.helper.UtilityHelper

All Implemented Interfaces:
  Serializable

public class UtilityHelper
extends Object
implements Serializable

General location for required utility methods, possibly across personalization and portal.

See Also:
  Serialized Form

Constructor Summary
`UtilityHelper()`

Method Summary
`static void` | `checkCampaignServer()`
`static boolean` | `checkCampaignServerLicense()`
`static void` | `checkCommerceServer()`
`static boolean` | `checkCommerceServerLicense()`
`static void` | `checkPersonalizationServer()`
`static void` | `checkVersion()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UtilityHelper

    public UtilityHelper()

Method Detail

### checkPersonalizationServer

    public static final void checkPersonalizationServer()

### checkCommerceServer

    public static final void checkCommerceServer()

### checkCommerceServerLicense

    public static final boolean checkCommerceServerLicense()

### checkCampaignServer

    public static final void checkCampaignServer()

### checkCampaignServerLicense

    public static final boolean checkCampaignServerLicense()

### checkVersion

    public static void checkVersion()

  Deprecated.

  Check the version of WebLogic. If it is less than the recommended build within the commerce.properties spit out warnings..

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved